# -*- coding: utf-8 -*-
%ifos linux
%define _bindir /bin
%endif

Summary: A unique SCM (Software Configuration Management) system
Name: ku-ku-fossil
Version: 1.22
Release: ku1.1
License: BSD2
URL: http://www.kubiclabs.com/
Source0: http://www.kubiclabs.com/sources/ku-ku-fossil_1.22-ku1-1.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: zlib-devel openssl-devel

%description
This package contains the Fossil binary for Fedora systems.
Fossil is a unique SCM program which supports distributed source control
management using local repositories, access over HTTP CGI, or using the
built-in HTTP server. It has a built-in wiki, file browsing, etc.
Fossil home page: http://fossil-scm.org
Fossil author: D. Richard Hipp
License: GNU GPLv2
This is the KUBiC Labs porting of original fossil, no patches, just the
latest stable release.

%prep
%setup -q

%build
cd upstream
./configure --prefix=/usr
make %{_smp_mflags}

%check

%install
rm -rf ${RPM_BUILD_ROOT}
fakeroot make DESTDIR=$RPM_BUILD_ROOT install

%post

%preun

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
/usr/bin/fossil
/usr/share/doc/ku-fossil

%changelog
* Sun Nov 20 2016 Allblue SA, KUBiC Labs (CH) - <packager@kubiclabs.com>
- porting to devuan 1.0 (jessie)
  - fix: addede shlibs:Depends and misc:Depends to control file
  - no other mods
* Thu Mar 27 2014 Allblue SA, KUBiC Labs (CH) - <packager@kubiclabs.com>
- STANDARDS UPDATE -> 1.5
- ALLBLUE SA SHIFT
- porting to 12.10 (no mods)

* Thu Mar 27 2014 KUBiC Labs (CH) - Lorenzo Canovi <lorenzo@kubiclabs.com>
- ported to 12.04
- ported to ku build standards 1.4

* Fri Feb 01 2013 KUBiC Labs (CH) - Lorenzo Canovi <lorenzo@kubiclabs.com>
- ported to ku build standards 2012/10

* Fri Oct 12 2012 KUBiC Labs (CH) - Lorenzo Canovi <lorenzo@kubiclabs.com>
- multiplatform packaging (ubuntu/debian, fedora)

* Sun Sep 09 2012 KUBiC Labs (CH) - Lorenzo Canovi <lorenzo@kubiclabs.com>
- packaged from upstream
- named ku-fossil because original ubuntu version of fossil
  uses a release number with date, that is always seen as "newer"
  (fossil_2010.01.24.175507-1 starting from 10.04)

